summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Gehring <mg@ebfe.org>2010-05-11 22:55:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:39 +0200
commit18d06062e26fa60f06b21f17bda6efad48e4f3c5 (patch)
tree624d475882d2898548635c5f8ce9b02ecf8fc95a
parent799dba85ecd04718708d52fa751e6e7b72480c93 (diff)
downloadslackbuilds-18d06062e26fa60f06b21f17bda6efad48e4f3c5.tar.gz
slackbuilds-18d06062e26fa60f06b21f17bda6efad48e4f3c5.tar.xz
system/xtermcontrol: Added to 12.1 repository
-rw-r--r--system/xtermcontrol/README5
-rw-r--r--system/xtermcontrol/slack-desc19
-rw-r--r--system/xtermcontrol/xtermcontrol.SlackBuild58
-rw-r--r--system/xtermcontrol/xtermcontrol.info8
4 files changed, 90 insertions, 0 deletions
diff --git a/system/xtermcontrol/README b/system/xtermcontrol/README
new file mode 100644
index 0000000000..dc03b9bff0
--- /dev/null
+++ b/system/xtermcontrol/README
@@ -0,0 +1,5 @@
+xtermcontrol enables dynamic control of XFree86 xterm properties.
+
+It makes it easy to change colors, title, font and geometry of a
+running xterm, as well as to report the current settings of the
+aforementioned properties.
diff --git a/system/xtermcontrol/slack-desc b/system/xtermcontrol/slack-desc
new file mode 100644
index 0000000000..5980811095
--- /dev/null
+++ b/system/xtermcontrol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+xtermcontrol: xtermcontrol (enables dynamic control of xterm properties)
+xtermcontrol:
+xtermcontrol: xtermcontrol makes it easy to change colors, title, font and
+xtermcontrol: geometry of a running xterm, as well as to report the current
+xtermcontrol: settings of the aforementioned properties.
+xtermcontrol:
+xtermcontrol:
+xtermcontrol:
+xtermcontrol:
+xtermcontrol:
+xtermcontrol:
diff --git a/system/xtermcontrol/xtermcontrol.SlackBuild b/system/xtermcontrol/xtermcontrol.SlackBuild
new file mode 100644
index 0000000000..46649e2981
--- /dev/null
+++ b/system/xtermcontrol/xtermcontrol.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# Slackware build script for xtermcontrol
+# Written by Michael Gehring <mg@ebfe.org>
+
+PRGNAM=xtermcontrol
+VERSION=${VERSION:-2.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS=$SLKCFLAGS ./configure --prefix=/usr
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog doc/ctlseqs.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+gzip -9 $PKG/usr/share/man/man?/*
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xtermcontrol/xtermcontrol.info b/system/xtermcontrol/xtermcontrol.info
new file mode 100644
index 0000000000..fa58162c4c
--- /dev/null
+++ b/system/xtermcontrol/xtermcontrol.info
@@ -0,0 +1,8 @@
+PRGNAM="xtermcontrol"
+VERSION="2.9"
+HOMEPAGE="http://www.thrysoee.dk/xtermcontrol/"
+DOWNLOAD="http://www.thrysoee.dk/xtermcontrol/xtermcontrol-2.9.tar.gz"
+MD5SUM="00fb29732d71a2035324232862e8fe26"
+MAINTAINER="Michael Gehring"
+EMAIL="mg@ebfe.org"
+APPROVED="rworkman"